| Home | Libraries | People | FAQ | More

## Struct template make_bs_set_base_hook

boost::intrusive::make_bs_set_base_hook

## Synopsis

    // In header: <boost/intrusive/bs_set_hook.hpp>

    template<class... Options>
    struct make_bs_set_base_hook {
      // types
      typedef implementation_defined type;
    };

## Description

Helper metafunction to define a `bs_set_base_hook` that yields to the same type when the same options (either explicitly or implicitly) are used.